ChangeSet 1.1276.1.43, 2003/08/27 15:01:36-07:00, david-b@pacbell.net

[PATCH] USB: usb_new_device() shouldn't be exported

Minor cleanup.  This call no longer needs exporting for root hubs,
they have their own API to use instead.


 drivers/usb/core/usb.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Tue Sep  2 12:43:55 2003
+++ b/drivers/usb/core/usb.c	Tue Sep  2 12:43:55 2003
@@ -991,8 +991,8 @@
  *
  * This call is synchronous, and may not be used in an interrupt context.
  *
- * Only hub drivers (including virtual root hub drivers for host
- * controllers) should ever call this.
+ * Only the hub driver should ever call this; root hub registration
+ * uses it only indirectly.
  */
 #define NEW_DEVICE_RETRYS	2
 #define SET_ADDRESS_RETRYS	2
@@ -1509,7 +1509,6 @@
 EXPORT_SYMBOL(usb_find_interface);
 EXPORT_SYMBOL(usb_ifnum_to_if);
 
-EXPORT_SYMBOL(usb_new_device);
 EXPORT_SYMBOL(usb_reset_device);
 EXPORT_SYMBOL(usb_disconnect);
 
